<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
$sesion->set('permiso', permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$cleguaje = new cLanguage();

if (!comprobar_sesion()) {
    mensaje($cleguaje->Phrase('global', 'ses_cad'), $cleguaje->Phrase('project', 'institucion'));
    exit;
}
$permisos = str_split($sesion->get('permiso'));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

        <script  type="text/javascript">

            $(document).ready(function() {
                var lastsel3;
                var datos = new Array();
                var cod_grupo = "";

                var gridMatGrupos = jQuery("#list_MatGrupos").jqGrid({
                    caption: '<?php echo $cleguaje->Phrase('gruposmaterias', 'tituloGrilla') ?> ',
                    headertitles: true,
                    height: 300, //tama«Šo  alto de la grilla
                    width: 785,
                    shrinkToFit: false,
                    url: 'mod_gruposmaterias/list_matgrupos.php',
                    datatype: "json",
                    rowNum: 30,
                    hidegrid: false,
                    rowList: [15, 30, 50],
                    pager: '#pager_grupos',
                    sortname: 'pri_asi',
                    viewrecords: true,
                    sortorder: "desc",
                    multiselect: false,
                    toolbar: [true, 'top'],
                    editurl: 'mod_gruposmaterias/matgrupos_new_edit.php',
                    colNames: [
                        '<?php echo $cleguaje->getField('gruposmaterias', 'cod_asi') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'nom_asi') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'cod_grupo') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'nom_grado') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'nom_nom_grupo') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'cod_profesor') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'docente') ?>',
                        '<?php echo $cleguaje->getField('global', 'pri_ape') ?>',
                        '<?php echo $cleguaje->getField('global', 'seg_ape') ?>',
                        '<?php echo $cleguaje->getField('global', 'pri_nom') ?>',
                        '<?php echo $cleguaje->getField('global', 'seg_nom') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'ihs') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'num_evaluaciones') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'fecha_inicio') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'fecha_fin') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'reportar') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'tipo_evaluacion') ?>',
                        '<?php echo $cleguaje->getField('gruposmaterias', 'tipo_evaluacion') ?>',
                        '<?php echo $cleguaje->Phrase('gruposmaterias', 'escalas') ?>'
                    ],
                    colModel: [
                        {name: 'cod_asi', index: 'cod_asi', width: 200, hidden: true, frozen: true},
                        {name: 'nom_asi', index: 'nom_asi', resizable: true, width: 200, frozen: true, searchoptions: {
                                sopt: ['eq', 'ne', 'cn', 'nc', 'bw', 'bn']
                            }, searchrules: {
                                required: true
                            }
                        },
                        {name: 'cod_grupo', index: 'cod_grupo', width: 200, hidden: true, frozen: true},
                        {name: 'nom_grado', index: 'nom_grado', width: 200, hidden: true, frozen: true},
                        {name: 'nom_nom_grupo', index: 'nom_nom_grupo', width: 200, hidden: true, frozen: true},
                        {name: 'cod_profesor', index: 'cod_profesor', width: 200, hidden: true, frozen: true},
                        {name: 'ap1_pro', index: 'ap1_pro', resizable: true, width: 220, search: false, frozen: true},
                        {name: 'ap1_pro', index: 'ap1_pro', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                        {name: 'ap2_pro', index: 'ap2_pro', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                        {name: 'no1_pro', index: 'no1_pro', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                        {name: 'no2_pro', index: 'no2_pro', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                        {name: 'ihs', index: 'ihs', resizable: false, hidden: false, width: 110},
                        {name: 'num_evaluaciones', index: 'num_evaluaciones', resizable: false, width: 140},
                        {name: 'fecha_inicio', index: 'fecha_inicio', resizable: false, width: 100, searchoptions: {
                                dataInit: function(l) {
                                    $(l).datepicker({dateFormat: 'yy-mm-dd'})
                                }
                            }},
                        {name: 'fecha_fin', index: 'fecha_fin', resizable: false, width: 100, searchoptions: {
                                dataInit: function(l) {
                                    $(l).datepicker({dateFormat: 'yy-mm-dd'})
                                }
                            }},
                        {name: 'rep_fuera_fecha', index: 'rep_fuera_fecha', resizable: false, width: 120, stype: 'select', searchoptions: {
                                dataUrl: 'includes/select_vacio.php',
                                dataInit: function(l) {
                                    $(l).html('<option value="1"><?php echo $cleguaje->getField("global", "rta_s") ?> </option><option value="0"><?php echo $cleguaje->getField("global", "rta_n") ?> </option>')
                                },
                                sopt: ['eq', 'ne']

                            }},
                        {name: 'a.cod_tipo_evaluacion', index: 'a.cod_tipo_evaluacion', width: 200, hidden: true, stype: 'select', searchoptions: {
                                searchhidden: true,
                                dataUrl: 'includes/cargar_selec_normal.php?codigo=b4&cmp_aux=0&grilla=1&mopc=0'
                            }},
                        {name: 'nom_tipo_evaluacion', index: 'nom_tipo_evaluacion', search: false, resizable: false, width: 120},
                        {name: 'nombre_escala', index: 'nombre_escala', resizable: false, width: 140},
                    ],
                    ondblClickRow: function(rowid) {
                        $('#t_list_MatGrupos .ui-icon-pencil').trigger('click')
                    },
                    loadComplete: function() {
                        //cambiar_iconos('pager_grupos')
                    }
                });

                gridMatGrupos.jqGrid('setFrozenColumns');

                jQuery("#list_MatGrupos").jqGrid('navGrid', '#pager_grupos', {edit: false, add: false, del: false}, {}, {}, {}, {
                    multipleSearch: true,
                    modal: false,
                    resize: false,
                    width: 'auto'
                });

<?php if (in_array("M", $permisos)) { ?>
                    var dtedit = {
                        modulo: 'gruposmaterias',
                        nom_pag: "t_list_MatGrupos",
                        ide_tabla: 'list_MatGrupos',
                        ancho: 'auto',
                        alto: '98%',
                        param: '?accion=edit&recarga=true',
                        iframe: false,
                        recarga: true,
                        msg_sel: '<?php echo $cleguaje->Phrase('global', 'selrec') ?>', //mensaje si no selecciona un registro
                        msg_cmps_oblg: '<?php echo $cleguaje->Phrase('global', 'cmpobl') ?>', //mensaje campos obligatorios
                        title: '<?php echo $cleguaje->Phrase('global', 'edit') . " " . $cleguaje->Phrase('gruposmaterias', 'titulogrilla2') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('project', 'institucion') ?>'
                    }
                    btnEditarColorbox(gridMatGrupos, dtedit)


<?php } if (in_array("E", $permisos)) { ?>
                    var tddel = {
                        modulo: 'gruposmaterias',
                        nom_pag: "t_list_MatGrupos",
                        ide_tabla: 'list_MatGrupos',
                        msg_sel: '<?php echo $cleguaje->Phrase('global', 'selrecdel') ?>',
                        msg_confirma: '<?php echo str_replace('@', '\n', $cleguaje->Phrase('grupos', 'confirdel')) ?>',
                        title: '<?php echo $cleguaje->Phrase('global', 'del') . " " . $cleguaje->Phrase('gruposmaterias', 'titulogrilla2') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('project', 'institucion') ?>',
                        isgrid: false,
                        url: 'mod_gruposmaterias/opera_matgrupos.php',
                        msgExito: '<?php echo $cleguaje->Phrase('global', 'delexito') ?>',
                        adicional: function() {
                            grilla.trigger('reloadGrid');
                        }
                    }
                    btnEliminar(gridMatGrupos, tddel)
<?php } ?>

                //----------------------------------------------------------------------------------------------------------------------------------------

                var grupo_selec = '';

                var grilla = jQuery("#listado_materias").jqGrid({
                    caption: '<?php echo $cleguaje->Phrase('gruposmaterias', 'tituloGrilla3') ?>',
                    headertitles: true,
                    height: 327,
                    width: 420,
                    url: 'mod_gruposmaterias/list_materias.php',
                    datatype: "json",
                    hidegrid: false,
                    multiselect: false,
                    rowNum: 15,
                    rowList: [15, 30, 50],
                    pager: '#pager_materias',
                    sortname: 'pri_asi',
                    viewrecords: true,
                    sortorder: "asc",
                    ondblClickRow: function(rowid) {
                        var ret = jQuery("#listado_materias").jqGrid('getRowData', rowid);

                        $.fn.colorbox({
                            href: 'mod_gruposmaterias/matgrupos_new_edit.php?accion=new&codmateria=' + rowid + '&codgrupo=' + $("#txtgrupo").val(),
                            width: 'auto',
                            height: '98%',
                            title: "<?php echo $cleguaje->Phrase('gruposmaterias', 'tituloformulario') ?>",
                            iframe: false,
                            onClosed: function() {
                                //busqueda(); 
                            }
                        })
                  },
                    colNames: [
                        '<?php echo $cleguaje->getField('asignaturas', 'nom_asig') ?>',
                        '<?php echo $cleguaje->getField('asignaturas', 'abr_asig') ?>'
                    ],
                    colModel: [
                        {name: 'nom_asi', index: 'nom_asi', editable: true, width: 290, resizable: false, sortable: false},
                        {name: 'abr_asi', index: 'abr_asi', width: 100, editable: true, resizable: false, align: 'center', sortable: false}
                    ],
                    loadComplete: function() {
                        //cambiar_iconos('pager_materias')
                    }

                })

                jQuery("#listado_materias").jqGrid('navGrid', '#pager_materias', {add: false, edit: false, del: false}, {}, {}, {}, {multipleSearch: true});

                //******************************************************
                var cbjor = $("#txtjornadas");
                var cbgru = $("#txtgrupo");
                $("#txtsedes").change(function() {
                    cd_sede = $(this).val();
                    //	cms='aux_jornadas.cod_jornada IN (SELECT aca_grupos.cod_jornada FROM aca_grupos WHERE aca_grupos.cod_sede= ' + cd_sede  + ")"; 
                    //	alert (cd_sede);

                    if (cd_sede != '0x') {
                        cbjor.attr("disabled", true).addClass("cargando");
                        $.post("includes/cargar_selec_normal.php", {
                            codigo: 'b1',
                            cod_cnds: cd_sede, // <?php //eCr('aux_jornadas.cod_jornada IN (SELECT aca_grupos.cod_jornada FROM aca_grupos WHERE aca_grupos.cod_sede= ' + cd_sede +  ')'),  ?>
                            mopc: 0
                        }, function(dt) {
                            cbjor.html(dt)
                                    .attr("disabled", false)
                                    .removeClass("cargando")
                                    .trigger('change')
                        })
                    } else {
                        cbjor.html("<option value='0x'>Seleccionar...</option>")
                        cbgru.html("<option value='0x'>Seleccionar...</option>").trigger('change')
                    }
                });

                //---------------------------------------------------------------
                cbgru.change(function() {
                    if ($(this).val() != '0x') {
                        busqueda();
                    }
                    else {
                        $("#listado_materias,#list_MatGrupos").clearGridData(true);
                        delete $("#listado_materias").jqGrid('getGridParam', 'postData')['grupo'];
                        delete $("#list_MatGrupos").jqGrid('getGridParam', 'postData')['grupo'];
                    }
                });

                //----------------------------------------------------------------
                cbjor.change(function() {
                    cd_jor = $(this).val();
                    if (cd_jor != '0x') {
                        cbgru.attr("disabled", true).addClass("cargando");
                        cn = "cod_jornada=" + cd_jor;
                        $.post("mod_gruposmaterias/cargar_select_grupos.php", {
                            sede: cd_sede,
                            cmpcnd: '',
                            cons: 1,
                            cd_jor: cd_jor
                        }, function(dt) {
                            cbgru.html(dt)
                                    .attr("disabled", false).removeClass("cargando")
                                    .trigger('change')
                        })
                    }
                    else {
                        $("#txtgrupo").html("<option value='0x'>Seleccionar...</option>")
                    }
                });

                //---------------------------------------------------------------------	
                busqueda = function() {
                    jQuery("#listado_materias").jqGrid('setGridParam', {postData: {
                            page: 1,
                            grupo: $("#txtgrupo").val()
                        }
                    }).trigger("reloadGrid");
                    var titulo = $("option:selected", "#txtgrupo");
                    var t = titulo.parent()[0].label;

                    if (t) {
                        t = "<em>" + t + " " + titulo.html() + "</em> - Jornada: <em>" + $("#txtjornadas option:selected").html() + "</em> - Sede: <em>" + $("#txtsedes option:selected").html() + "</em>";
                        jQuery("#list_MatGrupos").jqGrid('setCaption', '<?php echo $cleguaje->Phrase('gruposmaterias', 'tituloGrilla') ?> ' + t);
                    }
                    jQuery("#list_MatGrupos").jqGrid('setGridParam', {postData: {
                            page: 1,
                            grupo: $("#txtgrupo").val()
                        }
                    }).trigger("reloadGrid");
                }



            });
        </script>
    </head>

    <body>
        <table align="center">
            <tr><td colspan=2>
                    <table>
                        <tr clas class="tit1">
                            <td><?php echo $cleguaje->getField('global', 'name_sede') ?></td>
                            <td><?php echo $cleguaje->getField('global', 'name_jornada') ?></td>
                            <td><?php echo $cleguaje->getField('global', 'grupos') ?></td>
                        </tr>
                        <tr><td>
                                <select name="txtsedes" class="campos" id="txtsedes" style="width:250px" >
<?php
$cmps = "cod_sede, initcap(nom_sede) as 'nom_sede'";
$ord = 'ORDER BY cod_sede ASC';
$tabla = "adm_sedes";
$cmpcnd = "";
$mselc = 0;
$default = '';
mostrar_cont_selec($cmps, $tabla, $cmpcnd, $ord, $default, false, '', 0);
?>
                                </select></td>
                            <td><select name="txtjornadas" class="campos" id="txtjornadas" style="width:160px">
                                    <option value="0x">Seleccionar...</option>
                                    <?php
                                    ?>
                                </select></td>
                            <td><select name="txtgrupo" class="campos" id="txtgrupo" style="width:160px">
                                    <option value="0x">Seleccionar...</option>
                                </select></td>

                        </tr>

                    </table>

                </td></tr>
            <tr>
                <td>
                    <table id="listado_materias"></table>
                    <div id="pager_materias"></div>	
                </td>      
                <td>
                    <table id="list_MatGrupos"></table>
                    <div id="pager_grupos"></div>

                </td>
            </tr>
        </table>
    </body>
</html>